<?php
//v1.8  www.bcoos.net 2006-08 GPL 
//v1.7 www.exoops.info 2006/03 GPL
// $Id: main.php,v 1.6 2003/03/19 05:34:05 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Welcome Screen
define("_INSTALL_W_WELCOME"   , "Welcome to the Setup Wizard for %s");
define("_INSTALL_W_CHOOSE"    , "Please choose the action you wish to perfom:");
define("_INSTALL_W_CHOOSELANG", "Please choose the language to be used for the installation process");
// Server Tests
define("_INSTALL_ST_TESTS"       , "These are the results after testing your server:");
define("_INSTALL_ST_MAINFILE_OK" , "Your mainfile.php is writable :: <img src='images/check.gif' />");
define("_INSTALL_ST_MAINFILE_BAD", "mainfile.php in your root folder needs to be chmodded to (0666 Unix / read-write Win32) before continuing :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_OK"    , "Your mysql version is %s, which is sufficient :: <img src='images/check.gif' />");
define("_INSTALL_ST_MYSQL_BAD"   , "Your mysql version is %s, which is not high enough to run bcoos :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_BAD2"  , "Could not determine your mysql version, MySQL 3.23.xx minimum is required.");
define("_INSTALL_ST_GLOBALS_OK"  , "Register Globals are ON :: <img src='images/check.gif' />");
define("_INSTALL_ST_GLOBALS_BAD" , "Register Globals are OFF. ..this shouldn't be a problem. :: <img src='images/question.gif' />");
define("_INSTALL_ST_PHP_OK"      , "Your PHP version is %s, which is sufficient :: <img src='images/check.gif' />");
define("_INSTALL_ST_PHP_BAD"     , "You only have version %s of PHP. You need a higher version to run bcoos :: <img src='images/failed.gif' />");
define("_INSTALL_ST_NEXT"        , "If the above results are positive, then continue..");
define("_INSTALL_PHPINFO"        , "PHP-INFO");
// DBFORM
define("_INSTALL_DF_DB"          ,"Database");
define("_INSTALL_DF_DB1"         ,"Choose the type of database to be used.");
define("_INSTALL_DF_HOST"        ,"Database Hostname");
define("_INSTALL_DF_HOST1"       ,"Hostname of the database server. ( If you are unsure, 'localhost' works in most cases. )");
define("_INSTALL_DF_UNAME"       ,"Database Username");
define("_INSTALL_DF_UNAME1"      ,"Your database user account on the host. ( Often root when installed on your local machine. )");
define("_INSTALL_DF_PASS"        ,"Database Password");
define("_INSTALL_DF_PASS1"       ,"Password for your database user account.");
define("_INSTALL_DF_DBNAME"      ,"Database Name");
define("_INSTALL_DF_DBNAME1"     ,"The name of database on the host. The installer will attempt to create the database if not exist.");
define("_INSTALL_DF_PREFIX"      ,"Table Prefix");
define("_INSTALL_DF_PREFIX1"     ,"This prefix will be added to all new tables created to avoid name conflict in the database. If you are unsure, just use the default 'bcoos'.");
define("_INSTALL_DF_PCONNECT"    ,"Use persistent connection?");
define("_INSTALL_DF_PCONNECT1"   ,"Default is 'No'. Choose 'No' if you are unsure.");
define("_INSTALL_DF_PATH"        ,"Physical Path");
define("_INSTALL_DF_PATH1"       ,"Physical path to your main bcoos directory WITHOUT trailing slash. ( On windows use simple forward slashes & be sure to include the drive letter. c:/myfolder )");
define("_INSTALL_DF_URL"         ,"Virtual Path (URL)");
define("_INSTALL_DF_URL1"        ,"Virtual path to your main bcoos directory WITHOUT trailing slash. ( http://www.mysite.com/myfolder )");
define("_INSTALL_DF_PLEASE_ENTER","Please enter a valid %s");
define("_INSTALL_DF_ERRORS"      , "Encountered the following errors:");
define("_INSTALL_DF_BADROOT"     , "The physical path you specified doesnt seem to exist.");
define("_INSTALL_DF_BADDB"       , "Cannot connect to or create the database with the information you specified.");
define("_INSTALL_DF_OK"          , "All seems to be ok, continue to save your configuration.");
define("_INSTALL_LANG"           , "Default setup language.");
// Mainfile setup
define("_INSTALL_MF_FAILOPEN" ,"Could not open mainfile.php. Please check the file permission and try again.");
define("_INSTALL_MF_FAILWRITE","Could not write to mainfile.php. Contact the server administrator for details.");
define("_INSTALL_MF_WRITEOK"  ,"Configuration data has been saved successfully.");
// Admin Setup
define("_INSTALL_AD_MSG"     , "Now were ready to setup your admin account:");
define("_INSTALL_AD_UNAME"   , "User Name:");
define("_INSTALL_AD_EMAIL"   , "Admin Email:");
define("_INSTALL_AD_PASS"    , "Password:");
define("_INSTALL_AD_BADPASS" , "Please enter a password bigger than %s characters big");
define("_INSTALL_AD_BADUNAME", "Only use alphanumerical characters  in you name without spaces");
define("_INSTALL_AD_BADEMAIL", "That doesnt seem to be a valid email format.");
// DB CREATION
define("_INSTALL_DB_DBERROR" , "Database table creation failed. Tables where removed.");
define("_INSTALL_DB_TRYAGAIN", "Click <a href='%s'>here</a> to try again with step one.");
// Finish
define("_INSTALL_F_CONGRAT" , "bcoos 1.0 is now installed:");
define("_INSTALL_F_CHMOD"   , "Be sure to chmod files below to their proper values:");
define("_INSTALL_F_CHMODMSG", "If you have access to your servers command line, then you may also want download a chmod script for your operating system. Simply save it to your disk & run it from the command line");
define("_INSTALL_F_VISIT"   , "You can do the chmod of exoops installation at <a href='http://www.exoops.info/modules/dochmod'>exoops.info</a>");
// Some general stuff
define("_INSTALL_G_TITLE" , "Installation");
define("_INSTALL_U_CHOOSE", "Please choose a upgrade package:");
define("_INSTALL_U_NOTE"  , "NOTE: Your old mainfile.php must already be in place & contain the right information.");
define("_INSTALL_U_README", "Click <a href='%s' target='_blank'>here</a> to see the <b>README</b> for more information.<br>After upgrade go to administration>modules and update all installed modules");
// index.php //
define("_MI_DOCHMOD_TEXT", "Fill form with access FTP data of your server, to do CHMOD automatically, PHP will chmod all files of bcoos 1.0 :");
define("_MI_DOCHMOD_MANUAL", "Use an FTP client to do it manually, change CHMOD values with change attribute feature, select files and right click, below list only have files with wrong chmod, chmod files and refresh this page to see results, when done a That's all message appears.");
define("_MI_DOCHMOD_FTPDOMAIN","Domain of your FTP server(Ex: ftp.yourdomain.com)");
define("_MI_DOCHMOD_FTPUSER","User");
define("_MI_DOCHMOD_FTPPASS","Password");
define("_MI_DOCHMOD_FTPPATH","FTP Folder path where is loctated mainfile.php ending with trailing slash (Ex: httpdocs/ , domainname/, /,  ...)");
define("_MI_DOCHMOD_BUTTON","Login");
define("_MI_DOCHMOD_BROWSETOMAINFILE","Browse to folder where is mainfile.php");
define("_MI_DOCHMOD_HASMAINFILEPHP"," has mainfile.php file, begin CHMOD?");
define("_MI_DOCHMOD_ERRORS"," %s  errors.");
define("_MI_DOCHMOD_COMPLETE","CHMOD list to complete:");
// index2.php //
define("_MI_DOCHMOD_TITLEERROR", "<b>Error!</b>");
define("_MI_DOCHMOD_CONNERROR1","Connection has failed. Tryed to connect at");
define("_MI_DOCHMOD_CONNERROR2","with username");
define("_MI_DOCHMOD_CONNERROR3","Back");
define("_MI_DOCHMOD_CONNERROR4","FTP path error mainfile.php doesn't exist at this location");
define("_MI_DOCHMOD_OKTITLE","<b>That's all</b>");
define("_MI_DOCHMOD_OKDESCRIPTION","For security reasons delete '_install' directory.");
define("_FILEMISSINGUPLOADTHISAGAIN","File missing, upload this again.");

?>
